%define upstream_name    Module-Metadata
%define upstream_version 1.000018

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Gather package and POD information from perl module files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(version) >= 0.870.0
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(version) >= 1:0.870.0
%description
The *Tie::CPHash* module provides a hash table that is case preserving but
case insensitive. This means that

    $cphash{KEY}    $cphash{key}
    $cphash{Key}    $cphash{keY}

all refer to the same entry. Also, the hash remembers which form of the key
was last used to store the entry. The 'keys' and 'each' functions will
return the key that was used to set the value.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.18-2.mga4
+ Revision: 536647
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 1.0.18-1.mga4
+ Revision: 484876
- update to 1.000018

* Mon Jun 03 2013 jquelin <jquelin> 1.0.14-1.mga4
+ Revision: 436346
- update to 1.000014

* Wed Mar 27 2013 jquelin <jquelin> 1.0.11-4.mga3
+ Revision: 405512
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.11-3.mga3
+ Revision: 369921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.0.11-2.mga3
+ Revision: 315527
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 1.0.11-1.mga3
+ Revision: 284595
- update to 1.000011

* Tue Mar 06 2012 jquelin <jquelin> 1.0.9-1.mga2
+ Revision: 219800
- update to 1.000009

* Fri Nov 04 2011 jquelin <jquelin> 1.0.7-2.mga2
+ Revision: 162837
- take priority over module bundled with perl 5.14.2

* Sun Sep 18 2011 takashi <takashi> 1.0.7-1.mga2
+ Revision: 144800
- update to 1.000007

* Tue Aug 30 2011 jquelin <jquelin> 1.0.6-1.mga2
+ Revision: 136641
- update to 1.000006
- update to 1.000005

* Tue Feb 22 2011 jquelin <jquelin> 1.0.4-1.mga1
+ Revision: 56639
- update to 1.000004

* Tue Feb 01 2011 jquelin <jquelin> 1.0.3-2.mga1
+ Revision: 45728
- adding requires: with epoch where needed

* Mon Jan 31 2011 jquelin <jquelin> 1.0.3-1.mga1
+ Revision: 45183
- there's an epoch for version :-(
- fix buildrequires:
- imported package perl-Module-Metadata


* Mon Jan 31 2011 cpan2dist 1.000003-1mdv
- initial mdv release, generated with cpan2dist
